jv.thirdParty.acmeEncoders

## Class GifEncoder

- java.lang.Object
- - jv.thirdParty.acmeEncoders.ImageEncoder
  - - jv.thirdParty.acmeEncoders.GifEncoder

- All Implemented Interfaces:
    java.awt.image.ImageConsumer

      public class GifEncoder
      extends ImageEncoder

  GifEncoder - write out an image as a GIF

  Transparency handling and variable bit size courtesy of Jack Palevich.

  Copyright (C)1996,1998 by Jef Poskanzer (jef@acme.com). All rights reserved.

  Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met: 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer. 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

  THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

  Visit the ACME Labs Java page for up-to-date versions of this and other fine Java utilities: http://www.acme.com/java/

  Version:
    07.11.00, 2.00 revised (ep) handle more than 256 colors by octree color reduction.

- - ### Field Summary

    - ### Fields inherited from interface java.awt.image.ImageConsumer

      `COMPLETESCANLINES, IMAGEABORTED, IMAGEERROR, RANDOMPIXELORDER, SINGLEFRAME, SINGLEFRAMEDONE, SINGLEPASS, STATICIMAGEDONE, TOPDOWNLEFTRIGHT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GifEncoder(java.awt.Image img, java.io.OutputStream out)` Constructor from Image.
    `GifEncoder(java.awt.Image img, java.io.OutputStream out, boolean interlace)` Constructor from Image with interlace setting.
    `GifEncoder(java.awt.image.ImageProducer prod, java.io.OutputStream out)` Constructor from ImageProducer.
    `GifEncoder(java.awt.image.ImageProducer prod, java.io.OutputStream out, boolean interlace)` Constructor from ImageProducer with interlace setting.

  - ### Method Summary

    - ### Methods inherited from class jv.thirdParty.acmeEncoders.ImageEncoder

      `encode, getProperties, imageComplete, setColorModel, setDimensions, setHints, setPixels, setPixels, setProperties`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GifEncoder

          public GifEncoder(java.awt.Image img,
                            java.io.OutputStream out)

      Constructor from Image.
      Parameters:
        `img` - The image to encode.
        `out` - The stream to write the GIF to.

    - #### GifEncoder

          public GifEncoder(java.awt.Image img,
                            java.io.OutputStream out,
                            boolean interlace)

      Constructor from Image with interlace setting.
      Parameters:
        `img` - The image to encode.
        `out` - The stream to write the GIF to.
        `interlace` - Whether to interlace.

    - #### GifEncoder

          public GifEncoder(java.awt.image.ImageProducer prod,
                            java.io.OutputStream out)

      Constructor from ImageProducer.
      Parameters:
        `prod` - The ImageProducer to encode.
        `out` - The stream to write the GIF to.

    - #### GifEncoder

          public GifEncoder(java.awt.image.ImageProducer prod,
                            java.io.OutputStream out,
                            boolean interlace)

      Constructor from ImageProducer with interlace setting.
      Parameters:
        `prod` - The ImageProducer to encode.
        `out` - The stream to write the GIF to.

"

The software JavaView? is copyright protected. All Rights Reserved.
"